Subject: bug#24627: 24.5; (thing-at-point 'list) may return a non-empty string without a list

From: Tino Calancha <[email-masked]>
Date: Wed, 12 Oct 2016 02:21:11 +0900 (JST)

On Tue, 11 Oct 2016, Noam Postavsky wrote:

> On Tue, Oct 11, 2016 at 1:09 PM, Tino Calancha <[email-masked]> wrote:
>>
>>
>> On Tue, 11 Oct 2016, Noam Postavsky wrote:
>>
>>> On Tue, Oct 11, 2016 at 12:29 PM, Tino Calancha <[email-masked]>
>>> wrote:
>>>>
>>>> Escape '[' and ']' in doc string.
>>>
>>>
>>> Huh? Why?
>>>
>>>> -[Internal function used by `bounds-of-thing-at-point'.]"
>>>> +\[Internal function used by `bounds-of-thing-at-point'.\]"
>>
>> Right, i should just escape the open '[', as follows:
>> +\[Internal function used by `bounds-of-thing-at-point'.]"
>
> Oh, I thought only round parens need to be escaped in the 1st column.
> Is there something that looks for square brackets too?
I thought the same than you.  I just discovered in this bug that square
parens also matters:
Compare I), II) w/o and w/ escaped '[':
I) It confuses `beginning-of-defun':
emacs -Q thingatpt.el
M-g g 229 RET
C-M-a ; go to line 222 instead of line 220.

II) It confuses `indent-for-tab-command':
emacs -Q thingatpt.el
M-g g 220 RET
C-SPC C-M-e TAB ; indentation doesn't change and it looks wrong.